{"title":"Get jobQueueEntries","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_jobqueueentry_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_jobqueueentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_jobqueueentry_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a job queue entry object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get jobQueueEntries","slug":"get-jobqueueentries","at":0,"chars":2527},{"level":2,"title":"HTTP request","slug":"http-request","at":115,"chars":214},{"level":2,"title":"Request headers","slug":"request-headers","at":329,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":401,"chars":61},{"level":2,"title":"Response","slug":"response","at":462,"chars":125},{"level":2,"title":"Example","slug":"example","at":587,"chars":1806},{"level":2,"title":"Related information","slug":"related-information","at":2393,"chars":134}],"text":"# Get jobQueueEntries\nRetrieves the properties and relationships of a job queue entry object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/jobQueueEntries({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a jobQueueEntry object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/jobQueueEntries({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"e7c93b42-89a1-ed11-94cc-000d3a2feca1\",\n    \"jobQueueEntryId\": \"JQE00042\",\n    \"userId\": \"f2a5738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"lastReadyState\": \"Ready\",\n    \"expirationDateTime\": \"2025-05-29T23:59:59Z\",\n    \"earliestStartDateTime\": \"2025-04-29T20:00:00Z\",\n    \"objectTypeToRun\": \"Codeunit\",\n    \"objectIdToRun\": 12345,\n    \"objectCaptionToRun\": \"Customer Data Sync\",\n    \"reportOutputType\": \"None\",\n    \"maxNumberAttemptsToRun\": 5,\n    \"numberOfAttemptsToRun\": 0,\n    \"status\": \"Ready\",\n    \"recordIdToProcess\": \"\",\n    \"parameterString\": \"CustomerID=CUST1042;SyncAll=true\",\n    \"recurringJob\": true,\n    \"numberOfMinutesBetweenRuns\": 1440,\n    \"runOnMonday\": true,\n    \"runOnTuesday\": true,\n    \"runOnWednesday\": true,\n    \"runOnThursday\": true,\n    \"runOnFridays\": true,\n    \"runOnSaturdays\": false,\n    \"runOnSundays\": false,\n    \"startingTime\": \"20:00:00\",\n    \"endingTime\": \"23:00:00\",\n    \"referenceStartingTime\": \"2025-04-01T20:00:00Z\",\n    \"nextRunDateFormula\": \"<1D>\",\n    \"description\": \"Daily customer data synchronization job\",\n    \"runInUserSession\": false,\n    \"userSessionId\": \"\",\n    \"jobQueueCategoryCode\": \"SYNC\",\n    \"errorMessage\": \"\",\n    \"userServiceInstanceId\": \"\",\n    \"userSessionStarted\": false,\n    \"notifyOnSuccess\": true,\n    \"userLanguageId\": 1033,\n    \"printerName\": \"\",\n    \"reportRequestPageOptions\": \"\",\n    \"rerunDelay\": 30,\n    \"systemTaskId\": \"00000000-0000-0000-0000-000000000000\",\n    \"scheduled\": true,\n    \"manualRecurrence\": false,\n    \"jobTimeOut\": 60,\n    \"priorityWithinCategory\": 50,\n    \"lastModifiedDateTime\": \"2025-04-28T15:42:18Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_jobqueueentry"}